net.i2p.client

## Enum SendMessageOptions.Reliability

- java.lang.Object
- - java.lang.Enum<SendMessageOptions.Reliability>
  - - net.i2p.client.SendMessageOptions.Reliability

- All Implemented Interfaces:
    Serializable, Comparable<SendMessageOptions.Reliability>
  Enclosing class:
    SendMessageOptions

      public static enum SendMessageOptions.Reliability
      extends Enum<SendMessageOptions.Reliability>

  Reliability bits 9-10

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST_EFFORT`
    `DEFAULT`
    `GUARANTEED`
    `UNDEFINED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SendMessageOptions.Reliability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SendMessageOptions.Reliability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_EFFORT

          public static final SendMessageOptions.Reliability BEST_EFFORT

    - #### DEFAULT

          public static final SendMessageOptions.Reliability DEFAULT

    - #### GUARANTEED

          public static final SendMessageOptions.Reliability GUARANTEED

    - #### UNDEFINED

          public static final SendMessageOptions.Reliability UNDEFINED

  - ### Method Detail

    - #### valueOf

          public static SendMessageOptions.Reliability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SendMessageOptions.Reliability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendMessageOptions.Reliability c : SendMessageOptions.Reliability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared